#! /usr/bin/env sh

gource \
--auto-skip-seconds 1 \
--camera-mode "track" \
--date-format "%Y / %m / %d  ⋅  %H : %M : %S" \
--disable-input \
--font-scale 1.5 \
--frameless \
--hide mouse,usernames \
--highlight-dirs \
--key \
--multi-sampling \
--output-framerate 60 \
--output-ppm-stream - \
--seconds-per-day 4.0 \
--viewport "1280x720" \
| \
ffmpeg \
-codec:v ppm \
-format image2pipe \
-framerate 120 \
-i - \
-codec:v libx264 \
-preset veryslow \
-qp 23 \
-movflags \
+faststart \
-pix_fmt yuv420p \
-y \
spcd.mp4
